Bug 857180 - Review Request: gnome-clocks - Clock application designed for GNOME 3
Review Request: gnome-clocks - Clock application designed for GNOME 3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On: 860625
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 14:14 EDT by Yanko Kaneti
Modified: 2012-09-29 15:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-29 15:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2012-09-13 14:14:55 EDT
Spec URL: http://declera.com/~yaneti/gnome-clocks/gnome-clocks.spec
SRPM URL: http://declera.com/~yaneti/gnome-clocks/gnome-clocks-0.1.1-1.fc19.src.rpm
Description: Clock application designed for GNOME 3
Fedora Account System Username: yaneti

gnome-clocks.noarch: E: explicit-lib-dependency libgweather
gnome-clocks.noarch: W: no-manual-page-for-binary gnome-clocks
2 packages and 0 specfiles checked; 1 errors, 1 warnings.

gnome-clocks is using gnome-introspection and the GWeather-3.0.typelib
Comment 1 Michael Scherer 2012-09-15 09:35:47 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


Issues:
=======
[!]: Package contains BR: python2-devel or python3-devel
See: http://fedoraproject.org/wiki/Packaging:Python#BuildRequires
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
[!]: Package contains no bundled libraries.
     Source contain a copy of pycanberra
     https://github.com/psykoyiko/pycanberra/
[!]: License field in the package spec file matches the actual license.
     Pycanberra is LGPL v2+
[!]: Package functions as described.
     Doesn't work on F17 ( maybe need a specific verison on F18 ? )

    $ gnome-clocks
    Traceback (most recent call last):
      File "/usr/lib/python2.7/site-packages/gnomeclocks/app.py", line 417, in do_startup
        quit.set_attribute([("label", "s", _("Quit")),
    AttributeError: 'MenuItem' object has no attribute 'set_attribute'
    Traceback (most recent call last):
      File "/usr/lib/python2.7/site-packages/gnomeclocks/app.py", line 397, in do_activate
        self.win = Window(self)
      File "/usr/lib/python2.7/site-packages/gnomeclocks/app.py", line 58, in __init__
        self.embed = Embed(self.vbox)
      File "/usr/lib/python2.7/site-packages/gnomeclocks/widgets.py", line 395, in __init__
        self.set_use_layout_size(True)
    AttributeError: 'Embed' object has no attribute 'set_use_layout_size'


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[-]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "GPL (v2 or later)" For detailed output of licensecheck see file:
     /home/misc/checkout/git/FedoraReview/857180-gnome-clocks/licensecheck.txt
[x]: The spec file handles locales properly.
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[!]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[!]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (gnome-clocks-0.1.1.tar.xz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: gnome-clocks-0.1.1-1.fc17.noarch.rpm
          gnome-clocks-0.1.1-1.fc17.src.rpm
gnome-clocks.noarch: E: explicit-lib-dependency libgweather
gnome-clocks.noarch: W: no-manual-page-for-binary gnome-clocks
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gnome-clocks
gnome-clocks.noarch: E: explicit-lib-dependency libgweather
gnome-clocks.noarch: W: no-manual-page-for-binary gnome-clocks
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
gnome-clocks-0.1.1-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/python  
    clutter-gtk  
    libgweather  
    pygobject3  
    python(abi) = 2.7
    pyxdg  



Provides
--------
gnome-clocks-0.1.1-1.fc17.noarch.rpm:
    
    gnome-clocks = 0.1.1-1.fc17



MD5-sum check
-------------
http://download.gnome.org/sources/gnome-clocks/0.1/gnome-clocks-0.1.1.tar.xz :
  CHECKSUM(SHA256) this package     : 515eeb860056451cae250a687bfc78ee01afbb92209edf494084f6dd9e036a22
  CHECKSUM(SHA256) upstream package : 515eeb860056451cae250a687bfc78ee01afbb92209edf494084f6dd9e036a22


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Command line :./try-fedora-review -b 857180
Comment 2 Yanko Kaneti 2012-09-15 13:19:09 EDT
Thanks for the review. I've tried to address the issues in -2.

I don't think pycanberra is meant as stable system wide python interface to libcanberra but more as a one-off bundled hepler. Upstram README says "A very basic (and incomplete) wrapper for libcanberra". Clocks includes it with "I do not particularly like this solution,...". So I've added the license and the readme from the pycanberra repo and install them as separate docs.
I think the pycanberra license is LGPLv2 rather than 2+

If anyone wishes to package pycanberra in some form this could be revisited.

Spec URL: http://declera.com/~yaneti/gnome-clocks/gnome-clocks.spec
SRPM URL: http://declera.com/~yaneti/gnome-clocks/gnome-clocks-0.1.1-2.fc19.src.rpm
Comment 3 Yanko Kaneti 2012-09-15 13:23:13 EDT
Also this package definetely does not target F17, its very g-i dependent and I am not even sure that it will work on F18 without the very latest g-i/pygobject3/dependent-libs updates.
Comment 4 Michael Scherer 2012-09-16 08:55:42 EDT
Well, if you want to bundle pycanberra, you should see with the FPC ( https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Packages_granted_exceptions ).

I cannot say if a exception would be granted ( since that's a small library, this would indeed not be a big issue, but I do not know if that's enough ).

Can you take care of it ?
Comment 5 Yanko Kaneti 2012-09-16 09:12:43 EDT
(In reply to comment #4)
> Can you take care of it ?

I will not. Thanks.
Comment 7 Mathieu Bridon 2012-09-26 06:43:32 EDT
(In reply to comment #2)
> If anyone wishes to package pycanberra in some form this could be revisited.

I just submitted a review request for pycanberra:
    https://bugzilla.redhat.com/show_bug.cgi?id=860625
Comment 9 Yanko Kaneti 2012-09-26 07:33:23 EDT
0.1.2-3
- Forgot about the License tag 

Spec URL: http://declera.com/~yaneti/gnome-clocks/gnome-clocks.spec
SRPM URL: http://declera.com/~yaneti/gnome-clocks/gnome-clocks-0.1.2-3.fc19.src.rpm
Comment 11 Michael Scherer 2012-09-29 13:03:39 EDT
Seems good for me, I didn't test on F18/F19 for now, but i think that it should work fine.
Comment 12 Yanko Kaneti 2012-09-29 13:21:02 EDT
New Package SCM Request
=======================
Package Name: gnome-clocks
Short Description: Clock application designed for GNOME 3
Owners: bochecha yaneti
Branches: f18
InitialCC:
Comment 13 Gwyn Ciesla 2012-09-29 15:16:18 EDT
Git done (by process-git-requests).
Comment 14 Yanko Kaneti 2012-09-29 15:35:44 EDT
Thanks

Package built for rawhide and f18.
Should probably go alongside in pycanberra's f18 update, or I'll wait for that to get to stable.

Note You need to log in before you can comment on or make changes to this bug.